﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                version="1.0">
  <xsl:output method="html"/>
  <xsl:template match="/">
    <html lang="ja">
      <head>
        <meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
        <meta http-equiv="Content-Style-Type" content="text/css" />
        <title><xsl:value-of select="/ProductInfo/Keyword" /></title>
      </head>
      <body>

        <!-- ページのリンク作成(10個まで) -->
        <xsl:variable name="pageNo" select="/ProductInfo/Page"/>
        <!-- 総ページ数＝総件数÷１ページ辺りの表示件数(5件) -->
        <xsl:variable name="pageMax" select="/ProductInfo/NumOfResult div 5"/>
        <xsl:apply-templates select="/ProductInfo/Item" />

        <!-- 検索結果=0件の場合 -->
        <xsl:if test="$pageMax = 0">
          該当なし<br />
        </xsl:if>

      </body>
    </html>
  </xsl:template>

  <!-- アイテムごとの処理 -->
  <xsl:template match="Item">
    <table width="100%" style="border-collapse:collapse;border:none">
      <tr>
        <!-- trタグのstyle属性 -->
        <xsl:variable name="itemCnt"><xsl:number /></xsl:variable>
        <xsl:if test="$itemCnt mod 2 = 1">
          <!-- 奇数番目の背景色を変える -->
          <xsl:attribute name="style">background:#EEEEEE</xsl:attribute>
        </xsl:if>
        <td>

          <!-- aタグ -->
          <a target="_blank">
            <!-- aタグの href属性 -->
            <xsl:attribute name="href"><xsl:value-of select="ItemPageUrl"/></xsl:attribute>
              <!-- imgタグ -->
              <img border="0">
                <xsl:attribute name="src">
                  <xsl:value-of select="ImageUrl" disable-output-escaping="yes"/>
                </xsl:attribute>
              </img>
          </a>

        </td>
        <td width="100%">
          <!-- URL、品名と値段 -->
          <a target="_blank">
            <xsl:attribute name="href"><xsl:value-of select="ItemPageUrl"/></xsl:attribute>
              <xsl:value-of select="ProductName"/>
          </a>
          <br />
          ￥<xsl:value-of select="LowestPrice"/>
        </td>
      </tr>
      <tr>
        <!-- trタグのstyle属性 -->
        <xsl:variable name="itemCnt"><xsl:number /></xsl:variable>
        <xsl:if test="$itemCnt mod 2 = 1">
          <!-- 奇数番目の背景色を変える -->
          <xsl:attribute name="style">background:#EEEEEE</xsl:attribute>
        </xsl:if>

        <td colspan="2">
          <a target="_blank">
            <xsl:attribute name="href"> 
              <xsl:value-of select="ReviewPageUrl" disable-output-escaping="yes"/>
            </xsl:attribute>
          レビュー記事
          </a>
          <br />
          メーカー：<xsl:value-of select="MakerName" disable-output-escaping="yes"/><br />
          カテゴリ：<xsl:value-of select="CategoryName" disable-output-escaping="yes"/>
                    （<xsl:value-of select="PvRanking" disable-output-escaping="yes"/>位）<br />
          クチコミ：<a target="_blank">
                      <xsl:attribute name="href"> 
                        <xsl:value-of select="BbsPageUrl" disable-output-escaping="yes"/>
                      </xsl:attribute>
                    <xsl:value-of select="NumOfBbs" disable-output-escaping="yes"/>件
                    </a><br />
        </td>
      </tr>
    </table>
    <br /><br />
  </xsl:template>
</xsl:stylesheet>
